#ifndef ZEICHNUNGSWINDOW_H
#define ZEICHNUNGSWINDOW_H

#include <QtWidgets/QWidget>
#include <list>
#include "empfkt.h"

// vgl https://doc.qt.io/qt-5/qtwidgets-painting-basicdrawing-example.html
class ZeichnungsWindow : public QWidget
{
    Q_OBJECT
public:
    explicit ZeichnungsWindow(QWidget *parent = nullptr);
    QSize minimumSizeHint() const override;
    QSize sizeHint() const override;

signals:

public slots:
    void addfkt(EmpFkt *f);

protected:
    void paintEvent(QPaintEvent *) override;
private:
     double xmin;
     double ymin;
     double xmax;
     double ymax;

     int transx(qreal x);
     int transy(qreal y);

     std::list<EmpFkt *> fktlist_;
     void drawfkt(QPainter *painter,EmpFkt *f);
};

#endif // ZEICHNUNGSWINDOW_H
